#include "article.h"

Article::Article() : Entity() {}

Article::Article(std::shared_ptr<Seller> sellerPtr) : Entity() { sellerPtr_ = sellerPtr; }

void Article::setArticleNo(int articleNo) { articleNo_ = articleNo; }

void Article::setPrice(int price) { price_ = price; }

void Article::setDescription(const std::string& description) { description_ = description; }

void Article::setSale(const std::shared_ptr<Sale> salePtr) { salePtr_ = salePtr; }

bool Article::isSold() { return salePtr_ ? true : false; }